## org.hamcrest.core
Class Every<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeDiagnosingMatcher<Iterable<T>>
              org.hamcrest.core.Every<T>

All Implemented Interfaces:
  Matcher<Iterable<T>>, SelfDescribing

    public class Every<T>

extends TypeSafeDiagnosingMatcher<Iterable<T>>

Constructor Summary
`Every(Matcher<? super T> matcher)`

Method Summary
`void` `describeTo(Description description)` Generates a description of the object.

`static

`<U> Matcher<Iterable<U>>`

`

`everyItem(Matcher<U> itemMatcher)`
Creates a matcher for `Iterable`s that only matches when a single pass over the examined `Iterable` yields items that are all matched by the specified `itemMatcher`.

`boolean` `matchesSafely(Iterable<T> collection, Description mismatchDescription)` Subclasses should implement this.

Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Every

    public Every(Matcher<? super T> matcher)

Method Detail

### matchesSafely

    public boolean matchesSafely(Iterable<T> collection,
                                 Description mismatchDescription)

  Description copied from class: `TypeSafeDiagnosingMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeDiagnosingMatcher<Iterable<T>>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### everyItem

    public static <U> Matcher<Iterable<U>> everyItem(Matcher<U> itemMatcher)

  Creates a matcher for `Iterable`s that only matches when a single pass over the examined `Iterable` yields items that are all matched by the specified `itemMatcher`.

  For example:

      assertThat(Arrays.asList("bar", "baz"), everyItem(startsWith("ba")))

  Parameters:
    `itemMatcher` - the matcher to apply to every item provided by the examined `Iterable`

Copyright © 2002–2020 JUnit. All rights reserved.